.frame {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 400px;
    height: 400px;
    margin-top: -200px;
    margin-left: -200px;
    border-radius: 2px;
    box-shadow: 1px 2px 10px 0px rgba(0, 0, 0, 0.3);
    background: #000;
    -webkit-filter: contrast(25);
    filter: contrast(25);
}

.center {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.ball {
    position: relative;
    width: 90px;
    height: 90px;
    background: #fff;
    border-radius: 50%;
    -webkit-filter: blur(15px);
    filter: blur(15px);
}

.blubb-1 {
    position: absolute;
    width: 40px;
    height: 40px;
    background: #fff;
    border-radius: 50%;
    -webkit-filter: blur(15px);
    filter: blur(15px);
    -webkit-transform: rotate(108deg);
    -moz-transform: rotate(108deg);
    -ms-transform: rotate(108deg);
    -o-transform: rotate(108deg);
    transform: rotate(108deg);
    transform-origin: 80px;
    animation: rotate 3.7s ease-in-out 0.2s infinite;
    z-index: 2;
}

.blubb-2 {
    position: absolute;
    width: 45px;
    height: 45px;
    top: -20px;
    background: #fff;
    border-radius: 50%;
    -webkit-filter: blur(15px);
    filter: blur(15px);
    transform: rotate(0deg);
    transform-origin: -58px;
    animation: anti-rotate 2.7s ease-in-out 0.2s infinite;
    z-index: 2;
}

.blubb-3 {
    position: absolute;
    width: 60px;
    height: 60px;
    top: -40px;
    background: #fff;
    border-radius: 50%;
    -webkit-filter: blur(15px);
    filter: blur(15px);
    transform: rotate(150deg);
    transform-origin: 120px;
    animation: rotate 2.2s ease-in-out 0.2s infinite;
    z-index: 2;
}

.blubb-4 {
    position: absolute;
    width: 40px;
    height: 40px;
    background: #fff;
    top: -40px;
    border-radius: 50%;
    -webkit-filter: blur(15px);
    filter: blur(15px);
    -webkit-transform: rotate(108deg);
    -moz-transform: rotate(108deg);
    -ms-transform: rotate(108deg);
    -o-transform: rotate(108deg);
    transform: rotate(108deg);
    transform-origin: -60px;
    animation: rotate 3.5s ease-in-out 0.2s infinite;
    z-index: 2;
}

.blubb-5 {
    position: absolute;
    width: 2px;
    height: 2px;
    background: #fff;
    border-radius: 50%;
    -webkit-filter: blur(15px);
    filter: blur(15px);
    -webkit-transform: rotate(108deg);
    -moz-transform: rotate(108deg);
    -ms-transform: rotate(108deg);
    -o-transform: rotate(108deg);
    transform: rotate(108deg);
    transform-origin: 77px;
    animation: rotate 2.7s ease-in-out 0.2s infinite;
    z-index: 2;
}

.blubb-6 {
    position: absolute;
    width: 20px;
    height: 20px;
    background: #fff;
    border-radius: 50%;
    -webkit-filter: blur(15px);
    filter: blur(15px);
    -webkit-transform: rotate(108deg);
    -moz-transform: rotate(108deg);
    -ms-transform: rotate(108deg);
    -o-transform: rotate(108deg);
    transform: rotate(108deg);
    transform-origin: -7px;
    animation: rotate 1.7s ease-in-out 0.2s infinite;
    z-index: 2;
}

.blubb-7 {
    position: absolute;
    width: 30px;
    height: 30px;
    background: #fff;
    border-radius: 50%;
    -webkit-filter: blur(15px);
    filter: blur(15px);
    -webkit-transform: rotate(108deg);
    -moz-transform: rotate(108deg);
    -ms-transform: rotate(108deg);
    -o-transform: rotate(108deg);
    transform: rotate(108deg);
    transform-origin: 97px;
    animation: rotate 2.7s ease-in-out 0.2s infinite;
    z-index: 2;
}

.blubb-8 {
    position: absolute;
    width: 18px;
    height: 18px;
    background: #fff;
    border-radius: 50%;
    -webkit-filter: blur(15px);
    filter: blur(15px);
    -webkit-transform: rotate(108deg);
    -moz-transform: rotate(108deg);
    -ms-transform: rotate(108deg);
    -o-transform: rotate(108deg);
    transform: rotate(108deg);
    transform-origin: 107px;
    animation: anti-rotate 2.7s ease-in-out 0.2s infinite;
    z-index: 2;
}


@keyframes rotate {
    from {
        -webkit-transform: rotate(0deg) translate3d(0, 0, 0);
        transform: rotate(0deg) translate3d(0, 0, 0);
    }
    to {
        -webkit-transform: rotate(360deg) translate3d(0, 0, 0);
        transform: rotate(360deg) translate3d(0, 0, 0);
    }
}

@keyframes anti-rotate {
    from {
        -webkit-transform: rotate(0deg) translate3d(0, 0, 0);
        transform: rotate(360deg) translate3d(0, 0, 0);
    }
    to {
        -webkit-transform: rotate(360deg) translate3d(0, 0, 0);
        transform: rotate(0deg) translate3d(0, 0, 0);
    }
}
